"use strict";

// A slab suspiciously large enough to hold, say, a Meli
var GO_RitualSlab = function(){
	this.sprite = new Sprite(GO_RitualSlab.spriteSheet,"RitualSlab");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,3,31,15);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "RitualSlab";

	this.checks = 0;
};
GO_RitualSlab.spriteImg = SDS_Load_Image("art/sheets/sprite/ritualslab.png");
GO_RitualSlab.spriteSheet = new TileSheet(5, 4, 0, 0, GO_RitualSlab.spriteImg);

GO_RitualSlab.prototype = new GameObject(
	new Sprite(
		GO_RitualSlab.spriteSheet,
		"RitualSlab"
	),
	"RitualSlab"
	);

	GO_RitualSlab.prototype.interactions = DEFINE_GAMEOBJECT_INTERACTIONS.CHECK;

	GO_RitualSlab.prototype.Update = function(){

	};

	GO_RitualSlab.prototype.checkEvent = function(sourceGO){
		++this.checks;
		this.checks = Math.min(this.checks,2);
		return "GD_Lab_Slab"+this.checks;
	};
